Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002181KdenliveMLTpublic2011-06-21 00:512012-05-15 10:58
Reporterneoarttec 
Assigned Toddennedy 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit IntelOSopenSuseOS Version11.4
Product Version0.8 
Target VersionFixed in Version0.9 
Summary0002181: Kdenlive does not render composite clips correctly
DescriptionI have multiple clips stacked on top of each other using composite transitions.
The project monitor displays the clips correctly.
However when I render the project the placement and scaling of the clips is wrong.
Steps To Reproducemultiple tracks with clips
each track using a composite transition on the one below.
Render
Additional InformationI am attaching two screenshots.
1. the project monitor view - which renders correctly
2. the final rendered video - which renders incorrectly

the project file.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Filesjpg file icon render-correct.jpg [^] (120,026 bytes) 2011-06-21 00:51


jpg file icon render-wrong.jpg [^] (155,214 bytes) 2011-06-21 00:53


? file icon Madeline-von-Foerster_interveiw-2010.18.kdenlive [^] (23,848 bytes) 2011-06-21 00:54
zip file icon FV-MPP-Branding-02.svg.zip [^] (8,999 bytes) 2011-06-21 01:54

- Relationships

-  Notes
(0006931)
neoarttec (reporter)
2011-06-21 01:54

Project Tree clip properties is correctly reporting the dimensions of the SVG file used in the project. 1280 x 720


However, the same clip when place on the time line with a composite transition, is showing the wrong dimensions for 100% scaling. 1440 x 1080

I am attaching the .svg file.
(0006932)
neoarttec (reporter)
2011-06-21 02:02

I have now converted the .svg file to a bitmap .png and replaced it on the time line. The same resulting problem occurs as with the .png. Therefore it is not a SVG rendering issue.
(0006933)
neoarttec (reporter)
2011-06-21 03:17
edited on: 2011-06-21 03:18

I have now identified the issue.
The first clip on the time line is another .kdenlive project file. It has the dimensions of 1080p, where as the parent project is 720p.

Kdenlive or Melt upon finding the child project, forgets the parent dimenisons and uses the child dimensions which then messes up any subsequent composite transitions in the parent project.

(0006934)
j-b-m (administrator)
2011-06-21 19:23

Thanks for your report. I confirm that playing xml files in MLT corrupts the project profile, I posted some details on MLT's mailing list, waiting for Dan's input.
(0006935)
j-b-m (administrator)
2011-06-22 07:29

should be fixed in latest MLT from git, please try it if you can
(0007692)
neoarttec (reporter)
2012-01-02 00:28

I can confirm that is a fix. 8)

- Issue History
Date Modified Username Field Change
2011-06-21 00:51 neoarttec New Issue
2011-06-21 00:51 neoarttec File Added: render-correct.jpg
2011-06-21 00:53 neoarttec File Added: render-wrong.jpg
2011-06-21 00:54 neoarttec File Added: Madeline-von-Foerster_interveiw-2010.18.kdenlive
2011-06-21 01:54 neoarttec Note Added: 0006931
2011-06-21 01:54 neoarttec File Added: FV-MPP-Branding-02.svg.zip
2011-06-21 02:02 neoarttec Note Added: 0006932
2011-06-21 03:17 neoarttec Note Added: 0006933
2011-06-21 03:18 neoarttec Note Edited: 0006933 View Revisions
2011-06-21 19:23 j-b-m Note Added: 0006934
2011-06-21 19:23 j-b-m Assigned To => ddennedy
2011-06-21 19:23 j-b-m Status new => acknowledged
2011-06-21 19:23 j-b-m Category Rendering => MLT
2011-06-22 07:29 j-b-m Note Added: 0006935
2011-06-22 07:29 j-b-m Status acknowledged => feedback
2012-01-02 00:28 neoarttec Note Added: 0007692
2012-01-02 00:28 neoarttec Status feedback => assigned
2012-01-02 22:02 j-b-m Status assigned => resolved
2012-01-02 22:02 j-b-m Fixed in Version => 0.8.2
2012-01-02 22:02 j-b-m Resolution open => fixed
2012-05-15 10:57 j-b-m Fixed in Version 0.8.2 => 0.9
2012-05-15 10:58 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker